---
layout: post
title: Neumorphism
date: 2020-04-22 14:00:00
homepage: https://github.com/longpdo/neumorphism
download: https://github.com/longpdo/neumorphism/archive/master.zip
demo: https://longpdo.github.io/neumorphism/
author: Long Do
thumbnail: neumorphism.png
license: MIT License
license_link: https://raw.githubusercontent.com/longpdo/neumorphism/master/LICENSE
---

![Screenshot](https://raw.githubusercontent.com/longpdo/neumorphism/master/docs/screenshot.gif)

# Neumorphism

> Neumorphism designed Jekyll theme for personal websites, portfolios and resumes.

This is a personal website built with `Jekyll`, which is based on the new `Neumorphism` design trend and was developed with a mobile-first approach. It is compatible to be hosted with `Github Pages`. This can be used by developers, who want to showcase their resume and portfolio. If you want to use this for your own website, fork [this repository](https://github.com/longpdo/neumorphism) and then refer to [personalize and customize](#personalize-and-customize).

## Features

* Mobile-First Responsive Design
* Animated preloader animation
* Landing Page with animated background with [particles.js](https://vincentgarreau.com/particles.js/), a Typing Carousel and animated social icons
* Dark Neumorphism Design on main content
* [Animations On Scroll](https://michalsnik.github.io/aos/)
* Filterable *Skills* word cloud
* [Github's API](https://developer.github.com/v3/) automatically populating the *Open Source Projects* section
* Gulp dev workflow with [BrowserSync](https://browsersync.io/), [Autoprefixer](https://autoprefixer.github.io/) and `JS` & `SCSS` minifying.
* [Google Analytics](https://analytics.google.com/)
