---
layout: post
title: What A THeme
date: 2020-08-22 00:15:00 +0530
homepage: https://github.com/thedevslot/WhatATheme
download: https://github.com/thedevslot/WhatATheme/archive/master.zip
demo: https://thedevslot.github.io/WhatATheme/
author: Sneha Omer, Harsh Trivedi
thumbnail: what-a-theme.png
license: GNU General Public License v2.0
license_link: https://github.com/thedevslot/WhatATheme/blob/master/LICENSE
---

# WhatATheme
**WhatATheme** is a customizable Jekyll Portfolio theme which supports blogging. You can use this theme in order to create an elegant, fully responsive portfolio.

#### You can checkout the [**Demo Here**](https://thedevslot.github.io/WhatATheme/) :boom:

![WhatATheme](https://raw.githubusercontent.com/thedevslot/WhatATheme/master/assets/images/meta.jpg)

# Features :sparkles:
* Free and Easy setup
* No Coding Required
* Compatible with [Github Pages](https://pages.github.com/)
* Responsive and Blogging Ready
* HTML Compressor using [Jekyll Compress HTML](https://jch.penibelst.de/)
* Minified CSS using SaSS
* CMS Admin Support using [Jekyll Admin](https://jekyll.github.io/jekyll-admin/)
* Supports Latest [Jekyll 4.x](https://jekyllrb.com/) and [Bundler](https://bundler.io/)
* Stylesheet built using SaSS
* Comments using Disqus
* Analytics using Google Analytics
* Instant Search using [Simple Jekyll Search](https://github.com/christian-fei/Simple-Jekyll-Search/)

# Installation :books:
### System Requirements
* [Ruby](https://www.ruby-lang.org/en/)
* [Jekyll](https://jekyllrb.com/)
> You can read **What is Jekyll** [**here**](https://thedevslot.github.io/WhatATheme/blog/what-is-jekyll-how-to-use-it)
### Up and Running
* Fork the [Repository](https://github.com/thedevslot/WhatATheme/)
* Clone or download the repository into directory of your choice: `git clone https://github.com/thedevslot/WhatATheme.git`
* Inside the directory run `bundle install`
* Host WhatATheme locally by running `bundle exec jekyll s`

> You can read **How to Install and use WhatATheme?** [**here**](https://thedevslot.github.io/WhatATheme/blog/how-to-install-whatatheme)

[<img src="https://i.imgur.com/TVI946Z.png" width="250" />](https://youtu.be/VfPa2c9kwhQ)

---

### Content Credits :green_heart:
* [Hero Image](https://images.pexels.com/photos/220444/pexels-photo-220444.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940) used as a background image in the very first section of Homepage.
* [Author Image](https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460_960_720.png) used in the Author Section.
* [Font Awesome](https://fontawesome.com/)
* [Poppins Font](https://fonts.google.com/specimen/Poppins)
* [Memphis Pattern](https://www.freepik.com/free-vector/memphis-pattern-background_4034913.htm#page=1&query=memphis%20pattern&position=23) used for some Social Media Images and the Favicon.

---

### Credits :bulb:
* [Sneha Omer](http://sassyecoder.github.io/)
* [Harsh Trivedi](http://harsh98trivedi.github.io/)

### License
The contents of this repository are licensed under the [**GNU General Public License v2.0**](https://github.com/thedevslot/WhatATheme/blob/master/LICENSE)
